The core methods are INVITE, ACK, OPTIONS, BYE, CANCEL, and REGISTER, and status codes fall into six classes.
RFC 3261 defines INVITE, ACK, OPTIONS, BYE, CANCEL, and REGISTER. INVITE sets up a session. ACK finishes the INVITE handshake. BYE ends a confirmed dialog. CANCEL asks to abandon an INVITE that has no final response yet.
OPTIONS asks for capabilities and does not set up a session. REGISTER writes bindings. PRACK, UPDATE, and REFER are extension methods: RFC 3262, RFC 3311, and RFC 3515. They do not replace the six.
100 Trying is hop by hop. 180 means ringing. 183 means session progress and often carries early media SDP. 200 OK is success. 302 moves you to a Contact.
401 Unauthorized challenges a UAS or registrar with WWW-Authenticate. 407 Proxy Authentication Required challenges a proxy. 486 is Busy Here. 487 is Request Terminated, the usual final response after a successful CANCEL. 603 Decline is a global rejection. Section 22 is the authentication chapter.
Room: Methods and status codes
© 2026 CypherMonkeyLabs 🐒